=== debian/control ===
--- 
+++ 
@@ -1,14 +1,16 @@
 Source: openldap
 Section: net
 Priority: optional
-Maintainer: Debian OpenLDAP Maintainers <pkg-openldap-devel@lists.alioth.debian.org>
+Maintainer: Ubuntu Developers <ubuntu-devel-discuss@lists.ubuntu.com>
+XSBC-Original-Maintainer: Debian OpenLDAP Maintainers <pkg-openldap-devel@lists.alioth.debian.org>
 Uploaders: Steve Langasek <vorlon@debian.org>,
  Torsten Landschoff <torsten@debian.org>,
  Ryan Tandy <ryan@nardis.ca>
 Build-Depends: debhelper (>= 10),
+               dh-apparmor,
                dpkg-dev (>= 1.17.14),
                groff-base,
-               heimdal-multidev (>= 7.4.0.dfsg.1-1~) <!pkg.openldap.noslapd>,
+               heimdal-dev (>= 7.4.0.dfsg.1-1~) <!pkg.openldap.noslapd>,
                libargon2-dev <!pkg.openldap.noslapd>,
                libdb5.3-dev <!pkg.openldap.noslapd>,
                libgnutls28-dev,
@@ -34,8 +36,8 @@
 Depends: ${shlibs:Depends}, libldap-2.4-2 (= ${binary:Version}),
  coreutils (>= 4.5.1-1), psmisc, perl:any (>> 5.8.0) | libmime-base64-perl,
  adduser, lsb-base (>= 3.2-13), ${perl:Depends}, ${misc:Depends}
-Recommends: libsasl2-modules
-Suggests: ldap-utils,
+Recommends: ldap-utils
+Suggests: libsasl2-modules, ufw,
  libsasl2-modules-gssapi-mit | libsasl2-modules-gssapi-heimdal
 Conflicts: umich-ldapd, ldap-server, libltdl3 (= 1.5.4-1)
 Replaces: libldap2, ldap-utils (<< 2.2.23-3)
@@ -70,8 +72,8 @@
 Package: ldap-utils
 Architecture: any
 Depends: ${shlibs:Depends}, libldap-2.4-2 (= ${binary:Version}), ${misc:Depends}
-Recommends: libsasl2-modules
-Suggests: libsasl2-modules-gssapi-mit | libsasl2-modules-gssapi-heimdal
+Suggests: libsasl2-modules,
+ libsasl2-modules-gssapi-mit | libsasl2-modules-gssapi-heimdal
 Conflicts: umich-ldap-utils, openldap-utils, ldap-client
 Replaces: openldap-utils, slapd (<< 2.2.23-0.pre6), openldapd
 Provides: ldap-client, openldap-utils
@@ -87,9 +89,10 @@
 Multi-Arch: same
 Conflicts: ldap-utils (<= 2.1.23-1)
 Pre-Depends: ${misc:Pre-Depends}
-Depends: ${shlibs:Depends}, ${misc:Depends}, libldap-common
+Depends: ${shlibs:Depends}, ${misc:Depends}
+Recommends: libldap-common
 Replaces: libldap2, libldap-2.3-0
-Description: OpenLDAP libraries 
+Description: OpenLDAP libraries
  These are the run-time libraries for the OpenLDAP (Lightweight Directory
  Access Protocol) servers and clients.
