=== debian/rules ===
--- 
+++ 
@@ -7,13 +7,17 @@
 # want the checks for DFSG-freeness.
 #DFSG_NONFREE = 1
 
-export DEB_CFLAGS_MAINT_APPEND := -Wall -Wno-format-extra-args -D_FILE_OFFSET_BITS=64 -D_GNU_SOURCE
+export DEB_CFLAGS_MAINT_APPEND := -Wall -Wno-format-extra-args -D_FILE_OFFSET_BITS=64 -D_GNU_SOURCE -DLDAP_CONNECTIONLESS -I/usr/include/heimdal
+export DEB_LDFLAGS_MAINT_APPEND := -L/usr/lib/$(DEB_HOST_MULTIARCH)/heimdal
 export DEB_BUILD_MAINT_OPTIONS := hardening=+pie,+bindnow
 
 # Configure calls AM_INIT_AUTOMAKE, but Automake fails as there is no Makefile.am.
 # Tell dh-autoreconf to skip automake.
 export AUTOMAKE = true
 
+# Expose maintainer address to build/mkversion (see debian/patches/set-maintainer-name)
+export DEB_MAINTAINER := $(shell sed -ne 's/^Maintainer:\s\+//p' debian/control)
+
 # Expose DEB_VERSION to build/version.sh (see debian/patches/debian-version)
 export DEB_VERSION
 
@@ -28,9 +32,9 @@
 	CONFIG += --disable-slapd
 endif
 
-CONTRIB_MODULES = autogroup lastbind passwd passwd/argon2 passwd/pbkdf2 passwd/sha2 smbk5pwd
-
-# Ensure CC is set correctly for cross builds, unless it has already 
+CONTRIB_MODULES = autogroup lastbind nssov passwd passwd/argon2 passwd/pbkdf2 passwd/sha2 smbk5pwd
+
+# Ensure CC is set correctly for cross builds, unless it has already
 # been set explicitly.
 ifeq ($(origin CC),default)
 	export CC := $(DEB_HOST_GNU_TYPE)-gcc
@@ -48,7 +52,8 @@
 	LDAP_BUILD='$(builddir)' \
 	prefix=/usr \
 	ldap_subdir=/ldap \
-	moduledir='$$(libdir)$$(ldap_subdir)'
+	moduledir='$$(libdir)$$(ldap_subdir)' \
+	sysconfdir='/etc$$(ldap_subdir)'
 
 # These variables are used only by get-orig-source, which will normally only
 # be run by maintainers.
@@ -128,7 +133,7 @@
 	# Disable test060-mt-host on ppc64el until #866122 is fixed.
 	rm -f tests/scripts/test060-mt-hot
 endif
-	#dh_auto_test
+	dh_auto_test
 
 override_dh_auto_install:
 	dh_auto_install -- $(MAKEVARS)
@@ -162,6 +167,22 @@
 	find $(installdir)/usr/share/man -name \*.8 \
 		| xargs perl -pi -e 's#(\.TH \w+ 8)C#$$1#'
 
+ifeq ($(filter stage1,$(DEB_BUILD_PROFILES)),)
+override_dh_install-arch:
+	dh_install
+
+	# install AppArmor profile
+	install -D -m 644 $(CURDIR)/debian/apparmor-profile $(CURDIR)/debian/slapd/etc/apparmor.d/usr.sbin.slapd
+
+	# install Apport hook
+	install -D -m 644 $(CURDIR)/debian/slapd.py $(CURDIR)/debian/slapd/usr/share/apport/package-hooks/slapd.py
+
+	# install ufw profile
+	install -D -m 644 $(CURDIR)/debian/slapd.ufw.profile $(CURDIR)/debian/slapd/etc/ufw/applications.d/slapd
+
+	dh_apparmor -pslapd --profile-name=usr.sbin.slapd
+endif
+
 override_dh_installinit:
 	dh_installinit -- "defaults 19 80"
 
@@ -200,30 +221,3 @@
 		| sed -ne '/SONAME/ { s/[[:space:]]*SONAME[[:space:]]*//; \
 		                      s/\.so\./-/; p; q }' \
 	)" >> debian/slapd.substvars
-	dh_makeshlibs -pslapd -X/usr/lib/ldap/ -V "$$(sed -ne's/slapd:Provides=//p' debian/slapd.substvars)"
-	dh_makeshlibs --remaining-packages
-endif
-
-ifeq ($(filter pkg.openldap.noslapd,$(DEB_BUILD_PROFILES)),)
-override_dh_installdeb:
-	dh_installdeb
-	perl -w debian/dh_installscripts-common -p slapd
-endif
-
-override_dh_auto_clean:
-	dh_auto_clean
-	# Update translation templates for debconf
-	debconf-updatepo
-ifeq ($(filter pkg.openldap.noslapd,$(DEB_BUILD_PROFILES)),)
-	# Remove our stripped schema from the upstream source area.
-	if [ -z "$(DFSG_NONFREE)" ]; then \
-	    set -e; for s in debian/schema/*.schema debian/schema/*.ldif; do \
-	        rm -f servers/slapd/schema/`basename $$s`; \
-	    done; \
-	fi
-
-	# Clean the contrib directory
-	for mod in $(CONTRIB_MODULES); do \
-		dh_auto_clean -Dcontrib/slapd-modules/$$mod -Bcontrib/slapd-modules/$$mod || exit $?; \
-	done
-endif
